Bug 744946 - (cov#11046) NULL dereference in IDL code
Summary: (cov#11046) NULL dereference in IDL code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.2.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 690319
TreeView+ depends on / blocked
 
Reported: 2011-10-10 22:02 UTC by Nathan Kinder
Modified: 2015-12-10 18:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-10 18:43:12 UTC


Attachments (Terms of Use)
Patch for cov#11046 (1.68 KB, patch)
2011-10-10 22:04 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Nathan Kinder 2011-10-10 22:02:43 UTC
There is a chance of a NULL dereference of the idl pointer in idl_new_fetch() that was reported by a Coverity scan.  We should check if idl is NULL before dereferencing it.

Comment 1 Nathan Kinder 2011-10-10 22:04:30 UTC
Created attachment 527335 [details]
Patch for cov#11046

Comment 2 Nathan Kinder 2011-10-11 14:57:54 UTC
Pushed to master.  Thanks to Noriko for her review!

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 773 bytes, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   8d3b921..ef04fbc  master -> master


Note You need to log in before you can comment on or make changes to this bug.